/* 
 *  $Id: dbg.h,v 1.1 2003/08/11 16:03:13 kogan Exp $
 *
 *  Copyright (c) 2003, Sergey Kogan
 *
 *  This is free software; you can redistribute it and/or modify it under the
 *  terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 */

#ifndef DBG_H
#define DBG_H

#define UNUSED __attribute__((unused))

void dbgErr(const Char *fmt, Err err, ...);
void dbgInfo(const Char *fmt, ...);

/*
#ifndef DEBUG_BUILD

#define dbgMsg(a)				;
#define dbgMsg(a,b)				;
#define dbgMsg(a,b,c)			;
#define dbgMsg(a,b,c,d)			;
#define dbgMsg(a,b,c,d,e)		;
#define dbgMsg(a,b,c,d,e,f)		;

#else // ifndef DEBUG_BUILD
*/
void dbgMsg(const Char *fmt, ...);

//#endif // ifndef DEBUG_BUILD

#endif // DBG_H

