/* 
 *  $Id: format.h,v 1.4 2003/11/26 15:54:15 kogan Exp $
 *
 *  Copyright (c) 2003, Sergey Kogan
 *
 *  This is free software; you can redistribute it and/or modify it under the
 *  terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 */

#ifndef KWP2_FORMAT_H
#define KWP2_FORMAT_H

/*
 *  format functions
 */

DIA_DEFINE_FMT(kwp2VS		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2ECT		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2COCR		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2RPM		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2XRPM		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2BATT		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2MAF		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2CAF		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2SA		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2IPC		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2IPW		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2FUEL		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2HFUE		) KWP2_SECT;
//DIA_DEFINE_FMT(kwp2KNCK) KWP2_SECT;
DIA_DEFINE_FMT(kwp2ADC		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2BATv		) KWP2_SECT;
DIA_DEFINE_FMT(kwp2AFR		) KWP2_SECT;

/*
 *  scaling functions
 */

DIA_DEFINE_SCALE(kwp2TPS	) KWP2_SECT;
DIA_DEFINE_SCALE(kwp2MAF	) KWP2_SECT;
DIA_DEFINE_SCALE(kwp2CAF	) KWP2_SECT;
DIA_DEFINE_SCALE(kwp2IPW	) KWP2_SECT;
DIA_DEFINE_SCALE(kwp2FUEL	) KWP2_SECT;
DIA_DEFINE_SCALE(kwp2HFUE	) KWP2_SECT;
//DIA_DEFINE_SCALE(kwp2KNCK) KWP2_SECT;
DIA_DEFINE_SCALE(kwp2SA		) KWP2_SECT;

#endif