/* 
 *  $Id: prefs.c,v 1.1 2003/08/11 16:10:39 kogan Exp $
 *
 *  Copyright (c) 2003, Sergey Kogan
 *
 *  This is free software; you can redistribute it and/or modify it under the
 *  terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 */

#include <PalmOS.h>
#include "../config.h"
#include "../dia.h"
#include "../dbg.h"
#include "../mmcd.h"
#include "../resource.h"
#include "resource.h"
#include "kwp2.h"

void Kwp2PrefsDialog()
{
	Kwp2AboutDialog();
}

void Kwp2AboutDialog()
{
	if(Kwp2IsRunning()) return;

	{
		FormType *form = FrmInitForm(kwp2AboutDialogId);
		FrmDoDialog(form);
		FrmDeleteForm(form);
	}
}

void Kwp2LoadPrefs(DiaPrefsType *prefs)
{
}

void Kwp2SavePrefs(DiaPrefsType *prefs)
{
}
